from Products.CMFPlone.Portal import addPolicy
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.Expression import Expression
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.DirectoryView import addDirectoryViews, registerDirectory

from Products.CMFPlone.CustomizationPolicy import DefaultCustomizationPolicy

class OS01CustomizationPolicy(DefaultCustomizationPolicy):
    """ Customises plone for OssaccSkins """

    def customize(self, portal):
        # do the base Default install, that gets
        # most of it right
        DefaultCustomizationPolicy.customize(self, portal)

        # set up the skins
        _dirGreen  = (   'os01/Images-Green', 
                         'os01'
                         )
        _dirCyan   = (   'os01/Images-Cyan', 
                         'os01'
                         )
        _dirOrange = (   'os01/Images-Orange', 
                         'os01'
                         )
        sk_tool = getToolByName(portal, 'portal_skins')
        defpath=[elem.strip() for elem in sk_tool.getSkinPath('Plone Default').split(',')]
        _dirs = (_dirGreen, _dirCyan, _dirOrange)
        skinsname = ('os01-Green', 'os01-Cyan', 'os01-Orange')

        for i in (0,1,2):
            paths = defpath[:]
            for d in _dirs[i]:
                try: paths.insert(paths.index('custom')+1, d)
                except ValueError: paths.append(d)
                path=','.join(paths)
                sk_tool.addSkinSelection(skinsname[i], path)

        addDirectoryViews(sk_tool, 'skin01', globals())

        # set default
        sk_tool.default_skin = 'os01-Green'

class OS02CustomizationPolicy(DefaultCustomizationPolicy):
    """ Customises plone for OssaccSkins """

    def customize(self, portal):
        # do the base Default install, that gets
        # most of it right
        DefaultCustomizationPolicy.customize(self, portal)

        # set up the skins
        _dirGreen  = (   'os02/Images-Green', 
                         'os02'
                         )
        _dirCyan   = (   'os02/Images-Cyan', 
                         'os02'
                         )
        _dirOrange = (   'os02/Images-Orange', 
                         'os02'
                         )
        sk_tool = getToolByName(portal, 'portal_skins')
        defpath=[elem.strip() for elem in sk_tool.getSkinPath('Plone Default').split(',')]
        _dirs = (_dirGreen, _dirCyan, _dirOrange)
        skinsname = ('os02-Green', 'os02-Cyan', 'os02-Orange')

        for i in (0,1,2):
            paths = defpath[:]
            for d in _dirs[i]:
                try: paths.insert(paths.index('custom')+1, d)
                except ValueError: paths.append(d)
                path=','.join(paths)
                sk_tool.addSkinSelection(skinsname[i], path)

        addDirectoryViews(sk_tool, 'skin02', globals())

        # set default
        sk_tool.default_skin = 'os02-Green'

class OS03CustomizationPolicy(DefaultCustomizationPolicy):
    """ Customises plone for OssaccSkins """

    def customize(self, portal):
        # do the base Default install, that gets
        # most of it right
        DefaultCustomizationPolicy.customize(self, portal)

        # set up the skins
        _dirGreen  = (   'os03/Images-Green', 
                         'os03'
                         )
        _dirCyan   = (   'os03/Images-Cyan', 
                         'os03'
                         )
        _dirOrange = (   'os03/Images-Orange', 
                         'os03'
                         )
        sk_tool = getToolByName(portal, 'portal_skins')
        defpath=[elem.strip() for elem in sk_tool.getSkinPath('Plone Default').split(',')]
        _dirs = (_dirGreen, _dirCyan, _dirOrange)
        skinsname = ('os03-Green', 'os03-Cyan', 'os03-Orange')

        for i in (0,1,2):
            paths = defpath[:]
            for d in _dirs[i]:
                try: paths.insert(paths.index('custom')+1, d)
                except ValueError: paths.append(d)
                path=','.join(paths)
                sk_tool.addSkinSelection(skinsname[i], path)

        addDirectoryViews(sk_tool, 'skin03', globals())

        # set default
        sk_tool.default_skin = 'os03-Green'

def register(context, app_state): 
    addPolicy('OssaccSkin01', OS01CustomizationPolicy())
    addPolicy('OssaccSkin02', OS02CustomizationPolicy())
    addPolicy('OssaccSkin03', OS03CustomizationPolicy())
